import { db } from "@/lib/db"
import { NextResponse } from "next/server";
import fetchUserWithImpersonation from "@/lib/fetch-user-impersonation";

export async function GET(req: Request) {
    try {
        const user = await fetchUserWithImpersonation(req)
        if (!user) {
            return NextResponse.json({ message: 'Unauthorized.', error: null, value: null }, { status: 401 });
        }
        
        const { searchParams } = new URL(req.url)
        let userId = searchParams.get('id')

        if (userId == null) {
            if (user != null) {
                userId = user.id as string;
            }
        }

        const connection = await db.twitchConnection.findFirst({
            where: {
                userId: userId as string
            }
        });

        return NextResponse.json(connection);
    } catch (error) {
        console.log("[CONNECTION/TWITCH]", error);
        return NextResponse.json({ message: 'Something went wrong', error: error, value: null }, { status: 500 })
    }
}